libnvme(2)

NAME
enum nvme_id_ctrl_cntrltype - Controller types

SYNOPSIS
enum nvme_id_ctrl_cntrltype {
NVME_CTRL_CNTRLTYPE_IO ,
NVME_CTRL_CNTRLTYPE_DISCOVERY ,
NVME_CTRL_CNTRLTYPE_ADMIN

};

Constants

NVME_CTRL_CNTRLTYPE_IO
    NVM I/O controller

NVME_CTRL_CNTRLTYPE_DISCOVERY
    Discovery controller

NVME_CTRL_CNTRLTYPE_ADMIN
    Admin controller